libmwawOLE::Storage Class Reference

class used to read/parse an OLE file More...

`#include <MWAWOLEStream.hxx>`

## Public Types

enum | Result { Ok, OpenFailed, NotOLE, BadOLE, UnknownError }

## Public Member Functions

| Storage (shared_ptr< WPXInputStream > is)
| Constructs a storage with data. More...
| ~Storage ()
| Destroys the storage. More...
bool | isStructuredDocument ()
| Checks whether the storage is OLE2 storage. More...
std::vector< std::string > | getSubStreamList (std::string dir="/", bool onlyFiles=true)
| Returns the list of all ole leaves names. More...
bool | isSubStream (const std::string &name)
| Returns true if name corresponds to a sub stream. More...
bool | isDirectory (const std::string &name)
| Returns true if name corresponds to a directory. More...
shared_ptr< WPXInputStream > | getSubStream (const std::string &name)
| Returns a WPXInputStream corresponding to a leaf/directory substream. More...

## Private Member Functions

shared_ptr< WPXInputStream > | getSubStreamForDirectory (const std::string &name)
| Returns a WPXInputStream corresponding to a directory substream. More...
| Storage (const Storage &)
Storage & | operator= (const Storage &)

## Private Attributes

libmwawOLE::IStorage * | m_io
| the main data storage More...

## Friends

class | Stream

## Detailed Description

class used to read/parse an OLE file

## Member Enumeration Documentation

enum libmwawOLE::Storage::Result

Enumerator
Ok |
OpenFailed |
NotOLE |
BadOLE |
UnknownError |

## Constructor & Destructor Documentation

libmwawOLE::Storage::Storage | ( | shared_ptr< WPXInputStream > | is | ) |

Constructs a storage with data.

libmwawOLE::Storage::~Storage | ( |  | ) |

Destroys the storage.

libmwawOLE::Storage::Storage | ( | const Storage & |  | ) |

private

## Member Function Documentation

shared_ptr< WPXInputStream > libmwawOLE::Storage::getSubStream | ( | const std::string & | name | ) |

Returns a WPXInputStream corresponding to a leaf/directory substream.

shared_ptr< WPXInputStream > libmwawOLE::Storage::getSubStreamForDirectory | ( | const std::string & | name | ) |

private

Returns a WPXInputStream corresponding to a directory substream.

Referenced by getSubStream().

std::vector< std::string > libmwawOLE::Storage::getSubStreamList | ( | std::string | dir = `"/"`,
|  | bool | onlyFiles = `true`
| ) |  |

Returns the list of all ole leaves names.

bool libmwawOLE::Storage::isDirectory | ( | const std::string & | name | ) |

Returns true if name corresponds to a directory.

Referenced by getSubStream(), and getSubStreamForDirectory().

bool libmwawOLE::Storage::isStructuredDocument | ( |  | ) |

Checks whether the storage is OLE2 storage.

Referenced by getSubStream(), getSubStreamForDirectory(), isDirectory(), and isSubStream().

bool libmwawOLE::Storage::isSubStream | ( | const std::string & | name | ) |

Returns true if name corresponds to a sub stream.

Storage& libmwawOLE::Storage::operator= | ( | const Storage & |  | ) |

private

## Friends And Related Function Documentation

friend class Stream

friend

## Member Data Documentation

libmwawOLE::IStorage* libmwawOLE::Storage::m_io

private

the main data storage

Referenced by getSubStream(), getSubStreamForDirectory(), getSubStreamList(), isDirectory(), isStructuredDocument(), isSubStream(), Storage(), and ~Storage().

The documentation for this class was generated from the following files:

- MWAWOLEStream.hxx
- MWAWOLEStream.cxx